<div class="container-fluid">
  <div class="header-container row justify-content-center">
    <header
      class="todo-header col-12 bg-secondary d-flex flex-wrap justify-content-center py-4 border-bottom"
    >
      <div
        class="text-white text-decoration-none align-content-center col-5 col-xl-9 col-lg-8 col-md-7 col-sm-6 col-xs-9"
        style="display: flex"
      >
        <span class="fs-1 ps-4 row justify-content-center">To Do List</span>
      </div>
      <div
        class="header-actions btn-group col-7 col-xl-3 col-lg-4 col-md-5 col-sm-6 col-xs-3"
      >
        <button type="button" class="btn btn-warning btn-lg col-4 p-2">
          Home
        </button>
        <button
          type="button"
          class="btn btn-outline-warning border border-2 border-warning col-4 fs-5"
          (click)="toggleTaskLoading()"
        >
          Tasks
        </button>
        <button
          type="button"
          class="btn btn-outline-warning border border-2 border-warning col-6 fs-5"
          role="presentation"
          routerLink="/"
        >
          Sign out
        </button>
      </div>
    </header>
  </div>

  <div style="height: 500px">
    <div class="container-fluid row justify-content-center">
      <div class="bg-white row justify-content-center container-fluid">
        <div
          class="col-12 col-sm-8 row justify-content-center bg-white align-content-center"
        >
          <img
            [src]="myimage"
            alt=""
            class="col-12 align-content-center"
            *ngIf="!TaskIsLoading"
            style="width: auto"
          />
          <div
            class="Task-spinner page-spinner col-12 bg-white row justify-content-center align-content-center"
            *ngIf="TaskIsLoading"
            style="height: 545px"
          >
            <div
              class="spinner-border"
              style="width: 3rem; height: 3rem"
              role="status"
            >
              <span class="visually-hidden">Loading...</span>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>

<router-outlet></router-outlet>
